Subject: [bug#35126] [PATCH] gnu: rust: Enable parallel tests starting with 1.26.

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 4 Apr 2019 20:29:38 +0200

Hi Ivan,

On Wed, 3 Apr 2019 17:52:35 -0700
Ivan Petkov <[email-masked]> wrote:

> Functionally, it looks good to me (and should speed up all subsequent builds)!
> 
> Just curious, any reason why we’re doing this starting 1.26 and not earlier?

There have been problems with it in very old Rust builds which is why it was
disabled in the first place.

Icecat uses Rust 1.24 - I selfishly don't want to change that one because I
use it ;)

And I'm not sure when (in which version) they fixed the parallel tests (if
they fixed them, that is).

So I'm kinda starting in the middle...

(I'm now up to and excluding rust 1.30.1 with enabled parallel tests with -j4)
(rust 1.30.1 is still building for a few rounds)